STOFFBorderLine Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
STOFFBorderLine Struct Reference

a border line More...

`#include <libstaroffice_internal.hxx>`

## Public Member Functions
| STOFFBorderLine ()
| constructor More...
bool | addTo (librevenge::RVNGPropertyList &propList, std::string which="") const
| add the border property to proplist (if needed ) More...
bool | isEmpty () const
| returns true if the border is empty More...
bool | operator== (STOFFBorderLine const &orig) const
| operator== More...
bool | operator!= (STOFFBorderLine const &orig) const
| operator!= More...

## Public Attributes
int | m_outWidth
| the outline width in TWIP More...
int | m_inWidth
| the inline width in TWIP More...
STOFFColor | m_color
| the border color More...
int | m_distance
| the border distance More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFBorderLine const &border)
| operator<< More...

## Detailed Description

a border line

## Constructor & Destructor Documentation

STOFFBorderLine::STOFFBorderLine | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool STOFFBorderLine::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string | which = `""`
| ) |  | const

add the border property to proplist (if needed )

Note
  if set which must be equal to "left", "top", ...

bool STOFFBorderLine::isEmpty | ( |  | ) | const
| inline

returns true if the border is empty

bool STOFFBorderLine::operator!= | ( | STOFFBorderLine const & | orig | ) | const
| inline

operator!=

bool STOFFBorderLine::operator== | ( | STOFFBorderLine const & | orig | ) | const
| inline

operator==

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFBorderLine const & | border
| ) |  |
| friend

operator<<

## Member Data Documentation

STOFFColor STOFFBorderLine::m_color

the border color

Referenced by operator!=(), operator<<(), StarGraphicAttribute::StarGAttributeBorder::read(), and StarGraphicAttribute::StarGAttributeBoxInfo::read().

int STOFFBorderLine::m_distance

the border distance

Referenced by operator!=(), operator<<(), StarGraphicAttribute::StarGAttributeBorder::read(), and StarGraphicAttribute::StarGAttributeBoxInfo::read().

int STOFFBorderLine::m_inWidth

the inline width in TWIP

Referenced by operator!=(), operator<<(), StarGraphicAttribute::StarGAttributeBorder::read(), and StarGraphicAttribute::StarGAttributeBoxInfo::read().

int STOFFBorderLine::m_outWidth

the outline width in TWIP

Referenced by operator!=(), operator<<(), StarGraphicAttribute::StarGAttributeBorder::read(), and StarGraphicAttribute::StarGAttributeBoxInfo::read().

The documentation for this struct was generated from the following files:

- libstaroffice_internal.hxx
- libstaroffice_internal.cxx